[2/2] classes/populate_sdk_rpm: add depends on rpmresolve-native

Submitted by Paul Eggleton on July 30, 2012, 11:10 p.m.

Details

Message ID d0884e86101c81977e67f506b67f92c056687444.1343689827.git.paul.eggleton@linux.intel.com
State Accepted
Commit 8a71c1a507289d38a0f675584ab206abfa9aad9a
Headers show

Commit Message

Paul Eggleton July 30, 2012, 11:10 p.m.
As of OE-Core revision 72d1048a8381fa4a8c4c0d082047536727b4be47,
rpmresolve is now required for complementary package installation during
do_populate_sdk.

Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
---
 meta/classes/populate_sdk_rpm.bbclass |    1 +
 1 file changed, 1 insertion(+)

Patch hide | download patch | download mbox

diff --git a/meta/classes/populate_sdk_rpm.bbclass b/meta/classes/populate_sdk_rpm.bbclass
index fac653b..b4b27ba 100644
--- a/meta/classes/populate_sdk_rpm.bbclass
+++ b/meta/classes/populate_sdk_rpm.bbclass
@@ -1,4 +1,5 @@ 
 do_populate_sdk[depends] += "rpm-native:do_populate_sysroot"
+do_populate_sdk[depends] += "rpmresolve-native:do_populate_sysroot"
 do_populate_sdk[recrdeptask] += "do_package_write_rpm"
 
 rpmlibdir = "/var/lib/rpm"